<template>
  <ModalDefault
    btnTitle="View Details"
    ref="modal"
    @submit="view">
    <div class="transaction">
      <div class="transaction-title">Transaction successful</div>
      <div class="transaction_circle">
        <div class="transaction_circle-inner">
          <img
            class="transaction_circle-check"
            src="~/static/icons/checkActiveted.png"
            alt="">
        </div>
      </div>
    </div>
  </ModalDefault>
</template>

<script>
  import ModalDefault from '~/components/UI/Modal/Default';
  import MobileDetect from 'mobile-detect';


  export default {
    name: "TheModal",
    data() {
      return {
        txid: null,
        component: null
      }
    },
    components: {
      ModalDefault
    },
    methods: {
      view() {
        const link = `https://bloks.io/transaction/${this.txid}`;
        const md = new MobileDetect(navigator.userAgent);
        if (md.is('iPhone')) {
          if (md.match('CriOS')) {
            const w = window.open(link, '_blank');
            w.focus();
          } else {
            const a = document.createElement('a');
            a.setAttribute("href", link);
            a.setAttribute("target", "_blank");
            const dispatch = document.createEvent("HTMLEvents");
            dispatch.initEvent("click", true, true);
            a.dispatchEvent(dispatch);
          }
        } else {
          const w = window.open(link, '_blank');
          w.focus();
        }
      }
    },
    mounted() {
      this.component = this.$refs['modal'];
    }
  }
</script>
<style
  lang="scss"
  scoped>
  .transaction {
    text-align: center;
    &-title {
      color: #ffffff;
      font-weight: bold;
      margin-bottom: 20px;
      letter-spacing: 1.4px;
    }
    &_circle {
      display: inline-block;
      position: relative;
      width: 170px;
      height: 170px;
      border-radius: 50%;
      background-color: #323b52;
      &-inner {
        width: 155px;
        height: 155px;
        border-radius: 50%;
        background-color: #242d41;
        position: absolute;
        top: 0px;
        right: 0px;
        bottom: 0px;
        left: 0px;
        margin: auto
      }
      &-check {
        max-width: 50%;
        position: absolute;
        top: 0px;
        right: 0px;
        bottom: 0px;
        left: 0px;
        margin: auto
      }
    }
  }
</style>
